Page MenuHomePhabricator

One year review of RelEng offsite outcomes (April 2016)
Closed, DeclinedPublic

Description

See T103917: Do 90 day review of post-offsite actions in early August '15 for the 90 day review.

Recommendation #2 from @demon:

Re-check with the outside stakeholders of Release Engineering in one year. The problems identified from the outside should have improved/resolved.

We'll probably be doing another offsite around the Hackathon again this year, so we should get this done before that (our offsite).

Event Timeline

greg created this task.Sep 16 2015, 3:37 PM
greg raised the priority of this task from to Medium.
greg updated the task description. (Show Details)
greg added projects: RelEng-Admin, Team-Practices.
greg moved this task to To Do on the RelEng-Admin board.
greg added subscribers: greg, demon.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 16 2015, 3:37 PM
greg moved this task from INBOX to Backlog on the Release-Engineering-Team board.Dec 3 2015, 9:02 PM
KLans_WMF set Security to None.Jan 20 2016, 10:39 PM
KLans_WMF added a subscriber: KLans_WMF.
greg added a comment.Jun 27 2016, 7:30 PM

@KLans_WMF I'm assuming re-doing what you did (interviewing/surveying customers of RelEng to get all that feedback before our team offsite) isn't easy, right? Is there something else we should do to get a surrogate of this information to stay faithful to ourselves?

Related-ish information:

@greg the interviews and stuff aren't hard per se, it's just time consuming to talk with everyone and analyze the data that comes back.

A survey could be a relatively light-weight way to get the info you're looking for - getting input and guidance from @egalvezwmf and @Capt_Swing has been really helpful for the TPG in designing surveys. It may be worth talking over what you're looking to achieve with them.

hashar added a subscriber: hashar.Jun 29 2016, 7:14 PM

I would myself love to look back at what we have worked on last year and what were the expected outcome / goals. Then: do a retrospective of how well we did, what are the feelings of each team members and what is going on next.

Does TPG has any experience in doing retrospection of a team offsite that mainly focused on team practices?

@hashar I think the answer to your question is 'yes', but it might depend on what specifically you mean by 'team practices'?

I would say that in general, it's a lot easier and faster to do retrospectives that look back over a shorter time horizon than a year (for instance, TPG does monthly retrospectives), but looking back over a whole year can certainly be valuable.

greg closed this task as Declined.Jul 1 2016, 12:14 AM

Yeah, this might very well have been a flawed idea from the beginning. We did a 90-day review, which was useful. We should have done the 180 and 270 as well (at least :) ).

In prep for our upcoming offsite I'll now add in a section of my todo to include "look back at outcomes and goals from last year's offsite and evaluate." <a small amount of time passes> Done: T138437.

Declining this task's original intent and will simply track this in T138437.